lib = File.expand_path 'lib', __dir__
$LOAD_PATH.unshift lib unless $LOAD_PATH.include? lib

require 'nadir/version'

Gem::Specification.new do |spec|
  spec.name          = 'nadir'
  spec.version       = Nadir::VERSION
  spec.authors       = ['Georgi Mitrev']
  spec.email         = ['gvmitrev@gmail.com']
  spec.summary       = %q{Ruby library for Nadir}
  spec.description   = %q{A client library for Nadir integration}
  spec.homepage      = 'https://github.com/gmitrev/nadir-rb'
  spec.license       = 'MIT'

  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end

  spec.require_paths = ['lib']
  spec.bindir        = 'bin'
  spec.executables   << 'nadir'

  spec.add_dependency 'concurrent-ruby', '~> 1.0'
  spec.add_dependency 'commander', '~> 4.4'

  spec.add_development_dependency 'bundler', '~> 1.17'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
end
